Last Comment Bug 782493 - Manually set translation parent of pages that lost parent during migration
: Manually set translation parent of pages that lost parent during migration
Status: REOPENED
[triaged]
:
Product: Mozilla Developer Network
Classification: Other
Component: Localization (show other bugs)
: unspecified
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 782110 782564 (view as bug list)
Depends on: 765632
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 19:58 PDT by dynamis (Tomoya ASAI)
Modified: 2014-05-06 03:43 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description dynamis (Tomoya ASAI) 2012-08-13 19:58:57 PDT
Some translation pages don't have their translation parent.
We should set parent of them.

https://developer.mozilla.org/en-US/docs/JavaScript/A_re-introduction_to_JavaScript
https://developer.mozilla.org/ja/docs/JavaScript/A_re-introduction_to_JavaScript

I'll ad comment when I find more.
Comment 1 Jean-Yves Perrier [:teoli] 2012-08-14 01:00:10 PDT
That's a duplicate. But continue to add a comment here with the one you find, not to clutter the other bug.

Once fixed, we will go through the links.

Note: there are a lot of them!

*** This bug has been marked as a duplicate of bug 765632 ***
Comment 3 ghost@ethertank.jp 2012-08-14 23:22:21 PDT
Please :-)


https://developer.mozilla.org/ja/docs/HTML/Element/var
https://developer.mozilla.org/en-US/docs/HTML/Element/var

https://developer.mozilla.org/ja/docs/HTML/Element/html
https://developer.mozilla.org/en-US/docs/HTML/Element/html

https://developer.mozilla.org/ja/docs/HTML/Element/title
https://developer.mozilla.org/en-US/docs/HTML/Element/title

https://developer.mozilla.org/ja/docs/HTML/Element/code
https://developer.mozilla.org/en-US/docs/HTML/Element/code

https://developer.mozilla.org/ja/docs/HTML/Element/samp
https://developer.mozilla.org/en-US/docs/HTML/Element/samp

https://developer.mozilla.org/ja/docs/HTML/Element/ins
https://developer.mozilla.org/en-US/docs/HTML/Element/ins

https://developer.mozilla.org/ja/docs/HTML/Element/i
https://developer.mozilla.org/en-US/docs/HTML/Element/i

https://developer.mozilla.org/ja/docs/HTML/Element/br
https://developer.mozilla.org/en-US/docs/HTML/Element/br

https://developer.mozilla.org/ja/docs/HTML/Element/div
https://developer.mozilla.org/en-US/docs/HTML/Element/div

https://developer.mozilla.org/ja/docs/HTML/Element/blockquote
https://developer.mozilla.org/en-US/docs/HTML/Element/blockquote

https://developer.mozilla.org/ja/docs/HTML/Element/ul
https://developer.mozilla.org/en-US/docs/HTML/Element/ul

https://developer.mozilla.org/ja/docs/HTML/Element/legend
https://developer.mozilla.org/en-US/docs/HTML/Element/legend

https://developer.mozilla.org/ja/docs/HTML/Element/details
https://developer.mozilla.org/en-US/docs/HTML/Element/details

https://developer.mozilla.org/ja/docs/HTML/Element/summary
https://developer.mozilla.org/en-US/docs/HTML/Element/summary

https://developer.mozilla.org/ja/docs/HTML/Element/bdi
https://developer.mozilla.org/en-US/docs/HTML/Element/bdi

https://developer.mozilla.org/ja/docs/HTML/Element/button
https://developer.mozilla.org/en-US/docs/HTML/Element/object
Comment 6 ghost@ethertank.jp 2012-08-14 23:37:22 PDT
Pleeeease :-)


https://developer.mozilla.org/ja/docs/CSS/background-repeat
https://developer.mozilla.org/ja/docs/CSS/list-style
https://developer.mozilla.org/ja/docs/Mozilla_CSS_support_chart
https://developer.mozilla.org/ja/docs/CSS/normal
https://developer.mozilla.org/ja/docs/CSS/resize
https://developer.mozilla.org/ja/docs/CSS/font-weight
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Operators/Comparison_Operators
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Operators/typeof
https://developer.mozilla.org/ja/docs/JavaScript/Other_JavaScript_tools
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/Function/length
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/parseFloat
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/Array/indexOf
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/Array/lastIndexOf
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/Array/filter
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/Array/every
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/Array/map
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/Array/reduce
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/Array/reduceRight
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/Date/now
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/Date/getMonth
https://developer.mozilla.org/ja/docs/JavaScript/Reference/Global_Objects/Date/getMinutes
https://developer.mozilla.org/ja/docs/DOM/HTMLHeadElement
https://developer.mozilla.org/ja/docs/DOM/HTMLParagraphElement
https://developer.mozilla.org/ja/docs/DOM/HTMLHRElement
https://developer.mozilla.org/ja/docs/DOM/HTMLBRElement
https://developer.mozilla.org/ja/docs/DOM/HTMLModElement


https://developer.mozilla.org/en-US/docs/CSS/background-repeat
https://developer.mozilla.org/en-US/docs/CSS/list-style
https://developer.mozilla.org/en-US/docs/Mozilla_CSS_support_chart
https://developer.mozilla.org/en-US/docs/CSS/normal
https://developer.mozilla.org/en-US/docs/CSS/resize
https://developer.mozilla.org/en-US/docs/CSS/font-weight
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Operators/Comparison_Operators
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Operators/typeof
https://developer.mozilla.org/en-US/docs/JavaScript/Other_JavaScript_tools
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Function/length
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/parseFloat
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Array/indexOf
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Array/lastIndexOf
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Array/filter
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Array/every
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Array/map
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Array/reduce
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Array/reduceRight
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Date/now
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Date/getMonth
https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Date/getMinutes
https://developer.mozilla.org/en-US/docs/DOM/HTMLHeadElement
https://developer.mozilla.org/en-US/docs/DOM/HTMLParagraphElement
https://developer.mozilla.org/en-US/docs/DOM/HTMLHRElement
https://developer.mozilla.org/en-US/docs/DOM/HTMLBRElement
https://developer.mozilla.org/en-US/docs/DOM/HTMLModElement
Comment 8 John Karahalis [:openjck] 2012-08-20 16:37:25 PDT
Thanks for aggregating a list of broken pages everyone!

I have updated this bug to be about manually correcting these pages. This will be possible after bug 765632 is fixed.
Comment 9 John Karahalis [:openjck] 2012-08-21 13:07:47 PDT
*** Bug 782110 has been marked as a duplicate of this bug. ***
Comment 10 John Karahalis [:openjck] 2012-08-21 13:08:25 PDT
Some more from Irvin.

https://bugzilla.mozilla.org/show_bug.cgi?id=782110#c0
Comment 11 John Karahalis [:openjck] 2012-08-21 14:57:36 PDT
*** Bug 782564 has been marked as a duplicate of this bug. ***
Comment 12 John Karahalis [:openjck] 2012-08-21 14:58:48 PDT
English page:
https://developer.mozilla.org/en-US/docs/HTML/Element/head

Two translations that are not listed on the English page (de + ja):
https://developer.mozilla.org/de/docs/HTML/Element/head  and
https://developer.mozilla.org/ja/docs/HTML/Element/head

In addition, the two above link to this page when they should link to the one at the very top of this comment.
https://developer.mozilla.org/en-US/docs/DOM/HTMLHeadElement
Comment 24 ghost@ethertank.jp 2012-09-10 04:06:44 PDT
https://developer.mozilla.org/es/docs/M%C3%B3vil
Comment 26 ghost@ethertank.jp 2012-09-10 04:11:51 PDT
https://developer.mozilla.org/es/docs/WebSockets
Comment 27 ghost@ethertank.jp 2012-09-10 04:12:37 PDT
https://developer.mozilla.org/es/docs/Usar_web_workers
Comment 33 ghost@ethertank.jp 2012-09-11 05:10:49 PDT
https://developer.mozilla.org/zh-CN/docs/SVG
Comment 38 ghost@ethertank.jp 2012-09-11 11:40:53 PDT
https://developer.mozilla.org/ja/docs/CSS/Media_queries
Comment 41 John Karahalis [:openjck] 2013-02-19 12:25:48 PST
Sheppy, Luke: Does this require development work or can an editor do it?
Comment 42 Eric Shepherd [:sheppy] 2013-02-19 12:30:51 PST
(In reply to John Karahalis [:openjck] from comment #41)
> Sheppy, Luke: Does this require development work or can an editor do it?

I believe the devs have to do this; I don't think it requires "development" work but I don't think there's UI for us to do it. But I'm not sure.
Comment 43 Julien G 2013-08-06 10:36:44 PDT
https://developer.mozilla.org/fr/docs/JavaScript/Référence_JavaScript/ 
The link is currently pointing to a sandbox page instead of the correct one (https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference ) 

Thanks :)
Comment 44 Florian Scholz [:fscholz] (MDN) 2014-05-06 03:43:38 PDT
fwiw, you can set the translation parent through the editor now.

Also, there is no need to collect pages without parent in this bug anymore, because there is a new maintenance page "without-parent" for each locale now:

https://developer.mozilla.org/fr/docs/without-parent
https://developer.mozilla.org/es/docs/without-parent
https://developer.mozilla.org/ja/docs/without-parent
https://developer.mozilla.org/de/docs/without-parent
https://developer.mozilla.org/zh-TW/docs/without-parent
...

Note You need to log in before you can comment on or make changes to this bug.